/*
 * This file is part of the Scandit Data Capture SDK
 *
 * Copyright (C) 2023- Scandit AG. All rights reserved.
 */

#import <Foundation/Foundation.h>
#import <ScanditCaptureCore/SDCControl.h>
#import <ScanditCaptureCore/SDCBase.h>

@class UIImage;

NS_ASSUME_NONNULL_BEGIN

NS_SWIFT_NAME(MacroModeControl)
SDC_EXPORTED_SYMBOL
@interface SDCMacroModeControl : NSObject <SDCControl>

@property (nonatomic, strong, nonnull) UIImage *autoImage;
@property (nonatomic, strong, nonnull) UIImage *offImage;
@property (nonatomic, strong, nonnull) UIImage *onImage;

@property (nonatomic, copy, nullable) NSString *accessibilityLabelWhenAuto;
@property (nonatomic, copy, nullable) NSString *accessibilityHintWhenAuto;
@property (nonatomic, copy, nullable) NSString *accessibilityLabelWhenOff;
@property (nonatomic, copy, nullable) NSString *accessibilityHintWhenOff;
@property (nonatomic, copy, nullable) NSString *accessibilityLabelWhenOn;
@property (nonatomic, copy, nullable) NSString *accessibilityHintWhenOn;

@property (class, nonatomic, nonnull, readonly) UIImage *defaultAutoImage;
@property (class, nonatomic, nonnull, readonly) UIImage *defaultOffImage;
@property (class, nonatomic, nonnull, readonly) UIImage *defaultOnImage;

+ (nullable instancetype)macroModeControlFromJSONString:(nonnull NSString *)JSONString
                                                  error:(NSError *_Nullable *_Nullable)error;

- (BOOL)updateFromJSONString:(nonnull NSString *)JSONString
                       error:(NSError *_Nullable *_Nullable)error;

@end

NS_ASSUME_NONNULL_END
